Package tigase.component

# Class BackwardCompatibilityHelper

java.lang.Object
tigase.component.BackwardCompatibilityHelper

public class BackwardCompatibilityHelper extends Object
Created by andrzej on 12.08.2016.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BackwardCompatibilityHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Object`
  `convertToArray(Collection collection)`
  `static Object`
  `convertToBoolArray(Collection col)`
  `static Object`
  `convertToDoubleArray(Collection col)`
  `static Object`
  `convertToFloatArray(Collection col)`
  `static Object`
  `convertToIntArray(Collection col)`
  `static Object`
  `convertToLongArray(Collection col)`
  `static Object`
  `convertToStringArray(Collection col)`
  `static Map<String,Object>`
  `fillProps(Map<String,Object> beanProperties)`
  `static Map<String,Object>`
  `getDefConfigParams(Kernel kernel, String configType, String dbUri, Map<String,Object> params)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BackwardCompatibilityHelper

    public BackwardCompatibilityHelper()

- ## Method Details

  - ### convertToArray

    public static Object convertToArray(Collection collection)

  - ### convertToBoolArray

    public static Object convertToBoolArray(Collection col)

  - ### convertToDoubleArray

    public static Object convertToDoubleArray(Collection col)

  - ### convertToFloatArray

    public static Object convertToFloatArray(Collection col)

  - ### convertToIntArray

    public static Object convertToIntArray(Collection col)

  - ### convertToLongArray

    public static Object convertToLongArray(Collection col)

  - ### convertToStringArray

    public static Object convertToStringArray(Collection col)

  - ### fillProps

    public static Map<String,Object> fillProps(Map<String,Object> beanProperties)

  - ### getDefConfigParams

    public static Map<String,Object> getDefConfigParams(Kernel kernel, String configType, String dbUri, Map<String,Object> params)